#include <stdio.h>
#include <math.h>

int prime(int x)
{
	if (x == 1) return 0;
	if (x == 2 || x == 3) return 1;
	int flag = 1;
	int i;
	for (i = 2; i <= sqrt(x); i++)
	{
		if (x % i == 0)
		{
			flag = 0;
			break;
		}
	}
	return flag;
}

int main()
{
	int x;
	printf("Please input a number:\n");
	scanf_s("%d", &x);
	if (prime(x))
	{
		printf("yes");
	}
	else
	{
		printf("no");
	}
	return 0;
}